<?php

require_once 'app/model/db.class.php';

if (!isset($_SESSION)) { session_start(); }


if ($_POST['accion']=='Ingresar'){


    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $usuario_nombre = $_POST['usuario'];
    $usuario_clave =$_POST['clave'];

    $resultado=$obj->consulta("select id,usuario,contrasena,rol from usuarios where rol='".$_SESSION['rol']."' AND usuario='".$usuario_nombre."' and contrasena='".$usuario_clave."'");

    $n=$obj->numero_de_filas($resultado);
             
   
    if ($n==1){

          $row = $obj->fetch_assoc($resultado);

        if ($row['rol']=='1'){           
               $_SESSION['profesor'] = $row['id'];              
        }

        if ($row['rol']=='2'){           
               $_SESSION['cod_alumno'] = $row['id'];              
        }
                
        $_SESSION['usuario1'] = $row['usuario'];
        $_SESSION['contrasena'] = $row['contrasena'];
        echo $row['id']."-".$row['rol'];

    }
    else
        echo "Datos Incorrectos";  

    $obj->disconnect();
}


//----------------------------------------


if ($_POST['accion']=='mostrar_anolectivo'){

     echo $_SESSION['nombre_mostrar'];
   
}

//----------------------------------------

if ($_POST['accion']=='mostrar_usuario'){
    
    echo $_SESSION['usuario1'];     
      
}

//----------------------------------------

if ($_POST['accion']=='mostrar_password'){
     
     echo $_SESSION['contrasena'];
         
}
?>